package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("sys_config")
public class SysConfig extends Model<SysConfig>  implements Serializable{
private static final long serialVersionUID = 5454155825314635343L;


    /**
     * id       db_column: id
     */
    @TableId(value="id", type= IdType.AUTO)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * key       db_column: param_key
     */
    @TableField("param_key")
    private String paramKey;

    /**
     * value       db_column: param_value
     */
    @TableField("param_value")
    private String paramValue;

    /**
     * 状态   0：隐藏   1：显示       db_column: status
     */
    @TableField("status")
    private Integer status;

    /**
     * 备注       db_column: remark
     */
    @TableField("remark")
    private String remark;
    @TableField("param_label")
    private String paramLabel;
//columns END

}
